
QGIS Application - Bug report #536

Z-order reversed between legend and map canvas

2007-01-12 09:20 AM - Gary Sherman

Status: Closed

Priority: Low

Assignee: Martin Dobias

Category: Map Canvas

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10595

Description

The z-order of layers in the legend is opposite of the map canvas. Layers at the top of the legend list should be at the top of the layer stack

on the canvas.

Add alaska.shp from sample data.

Add lakes.shp from sample data.

Lakes are at top of legend, but are "underneath" the alaska layer and not visible. Moving lakes to the bottom of the legend list makes them

appear on top of the alaska layer.

Associated revisions

Revision d969ca17 - 2007-01-13 01:02 PM - Magnus Homann

Reverse iterate through the map layers when rendering. Fixes #536.

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@6427 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 941136b2 - 2007-01-13 01:02 PM - Magnus Homann

Reverse iterate through the map layers when rendering. Fixes #536.

git-svn-id: http://svn.osgeo.org/qgis/trunk@6427 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2007-01-13 04:03 AM - Magnus Homann

- Resolution set to fixed

- Status changed from Open to Closed

Fixed by commit:941136b2 (SVN r6428).

#2 - 2009-08-22 12:45 AM - Anonymous

Milestone Version 0.9 deleted
